package frontend

import (
	"embed"
	"fmt"
	"html/template"
	"io/fs"

	"git.janky.solutions/finn/lockserver/config"
)

var (
	//go:embed static
	static embed.FS
	Static fs.FS

	//go:embed *.html
	templatesFS embed.FS
	Templates   *template.Template

	funcs = template.FuncMap{
		"version": func() string { return fmt.Sprintf("better-zwave-locks %s", config.Version) },
	}
)

func init() {
	t := template.New("").Funcs(funcs)

	var err error
	Templates, err = t.ParseFS(templatesFS, "*")
	if err != nil {
		panic(err)
	}

	Static, err = fs.Sub(static, "static")
	if err != nil {
		panic(err)
	}
}
